GNU Radio C++ API Reference: LineStyleMenu Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
LineStyleMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots
void | getNone ()
void | getSolid ()
void | getDash ()
void | getDots ()
void | getDashDot ()
void | getDashDotDot ()

## Signals
void | whichTrigger (unsigned int which, Qt::PenStyle)

## Public Member Functions
| LineStyleMenu (unsigned int which, QWidget *parent)
| ~LineStyleMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## ◆ LineStyleMenu()

LineStyleMenu::LineStyleMenu | ( | unsigned int | which,
|  | QWidget * | parent )
| inline

References getDash(), getDashDot(), getDashDotDot(), getDots(), getNone(), and getSolid().

## ◆ ~LineStyleMenu()

LineStyleMenu::~LineStyleMenu | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getAction()

QAction * LineStyleMenu::getAction | ( | unsigned int | which | ) |
| inline

## ◆ getDash

void LineStyleMenu::getDash | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineStyleMenu().

## ◆ getDashDot

void LineStyleMenu::getDashDot | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineStyleMenu().

## ◆ getDashDotDot

void LineStyleMenu::getDashDotDot | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineStyleMenu().

## ◆ getDots

void LineStyleMenu::getDots | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineStyleMenu().

## ◆ getNone

void LineStyleMenu::getNone | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineStyleMenu().

## ◆ getNumActions()

int LineStyleMenu::getNumActions | ( |  | ) | const
| inline

## ◆ getSolid

void LineStyleMenu::getSolid | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineStyleMenu().

## ◆ whichTrigger

void LineStyleMenu::whichTrigger | ( | unsigned int | which,
|  | Qt::PenStyle | )
| signal

Referenced by getDash(), getDashDot(), getDashDotDot(), getDots(), getNone(), and getSolid().

The documentation for this class was generated from the following file:

- form_menus.h